[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] Upgrade to 0.9.1b8 went ok but....



On Thu, Jul 26, 2001 at 08:16:33AM -0400, Dave Alden wrote:
> Hi,
> 
>   Are you aware that the XFS folks modified LVM to work with XFS (something
> about a new ioctl or such)?  They state that if you install the latest
> patches, you'll back out the XFS-specific changes which can cause you to
> lose your XFS filesystem.  For more info, see the thread with a subject
> of "When LVM-0.9.1beta7 will be merged to XFS cvs tree?" from:
> 
> http://oss.sgi.com/projects/xfs/mail_archive/0107/threads.html#00127
> 
> My understanding is that this applies to any LVM patches (including the beta8
> patches).

No I wasn't aware of this, though Patrick may be since he uses XFS.

from http://oss.sgi.com/projects/xfs/mail_archive/0107/msg00132.html:

> All block devices in a XFS kernel need a special patch to add an ioctl
> to set the logical block size. The original poster probably didn't add
> that ioctl to his new hacked in LVM; which will cause all kinds of 
> problems with xfs user tools and also probably file system corruption.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]